CAN_DBTP_Type Union Reference

## Data Fields

struct {
uint32_t DSJW:4
uint32_t DTSEG2:4
uint32_t DTSEG1:5
uint32_t __pad0__:3
uint32_t DBRP:5
uint32_t __pad1__:2
uint32_t TDC:1
uint32_t __pad2__:8
} | bit
uint32_t | reg

## Detailed Description

Definition at line 116 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_DBTP_Type::__pad0__

bit: 13..15 Reserved

Definition at line 121 of file can.h.

## __pad1__

uint32_t CAN_DBTP_Type::__pad1__

bit: 21..22 Reserved

Definition at line 123 of file can.h.

## __pad2__

uint32_t CAN_DBTP_Type::__pad2__

bit: 24..31 Reserved

Definition at line 125 of file can.h.

## bit

struct { ... } CAN_DBTP_Type::bit

Structure used for bit access

## DBRP

uint32_t CAN_DBTP_Type::DBRP

bit: 16..20 Data Baud Rate Prescaler

Definition at line 122 of file can.h.

## DSJW

uint32_t CAN_DBTP_Type::DSJW

bit: 0.. 3 Data (Re)Synchronization Jump Width

Definition at line 118 of file can.h.

## DTSEG1

uint32_t CAN_DBTP_Type::DTSEG1

bit: 8..12 Data time segment before sample point

Definition at line 120 of file can.h.

## DTSEG2

uint32_t CAN_DBTP_Type::DTSEG2

bit: 4.. 7 Data time segment after sample point

Definition at line 119 of file can.h.

## reg

uint32_t CAN_DBTP_Type::reg

Type used for register access

Definition at line 127 of file can.h.

## TDC

uint32_t CAN_DBTP_Type::TDC

bit: 23 Tranceiver Delay Compensation

Definition at line 124 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h